unit SampleD;

interface

uses
  SysUtils, Windows, Messages, Classes, Graphics, Controls, Forms,
  Dialogs, DBTables, DB;

type
  TSampleDf = class(TDataModule)
    CustomerSource: TDataSource;
    OrderSource: TDataSource;
    LineItemSource: TDataSource;
    Orders: TQuery;
    LineItems: TQuery;
    Parts: TQuery;
    PartSource: TDataSource;
    OrderSum: TQuery;
    OrderSumSource: TDataSource;
    OrdersOrderNo: TFloatField;
    OrdersCustNo: TFloatField;
    OrdersSaleDate: TDateTimeField;
    OrdersShipDate: TDateTimeField;
    OrdersEmpNo: TIntegerField;
    OrdersShipToContact: TStringField;
    OrdersShipToAddr1: TStringField;
    OrdersShipToAddr2: TStringField;
    OrdersShipToCity: TStringField;
    OrdersShipToState: TStringField;
    OrdersShipToZip: TStringField;
    OrdersShipToCountry: TStringField;
    OrdersShipToPhone: TStringField;
    OrdersShipVIA: TStringField;
    OrdersPO: TStringField;
    OrdersTerms: TStringField;
    OrdersPaymentMethod: TStringField;
    OrdersItemsTotal: TCurrencyField;
    OrdersTaxRate: TFloatField;
    OrdersFreight: TCurrencyField;
    OrdersAmountPaid: TCurrencyField;
    Payment: TQuery;
    PaymentSource: TDataSource;
    OrderPaySum: TQuery;
    OrderPaySumSource: TDataSource;
    BOMSource: TDataSource;
    BOM: TTable;
    BOMPartNo: TFloatField;
    BOMChildPartNo: TFloatField;
    BOMQty: TFloatField;
    PartsPartNo: TFloatField;
    PartsDescription: TStringField;
    BOMParts: TTable;
    BOMPartSource: TDataSource;
    BOMPartsPartNo: TFloatField;
    BOMPartsDescription: TStringField;
    BOMPartsListPrice: TCurrencyField;
    BioLife: TTable;
    BioLifeSource: TDataSource;
    BioLifeSpeciesNo: TFloatField;
    BioLifeCategory: TStringField;
    BioLifeCommon_Name: TStringField;
    BioLifeSpeciesName: TStringField;
    BioLifeLengthcm: TFloatField;
    BioLifeLength_In: TFloatField;
    BioLifeNotes: TMemoField;
    BioLifeGraphic: TGraphicField;
    PartsVendorNo: TFloatField;
    PartsOnHand: TFloatField;
    PartsOnOrder: TFloatField;
    PartsCost: TCurrencyField;
    PartsListPrice: TCurrencyField;
    Terms: TQuery;
    TermsSource: TDataSource;
    OrderTermsSum: TQuery;
    OrderTermsSumSource: TDataSource;
    OrderSumPartNo: TFloatField;
    OrderSumCustNo: TFloatField;
    OrderSumQty: TFloatField;
    Vendors: TTable;
    VendorsSource: TDataSource;
    Customer: TTable;
    CustomerCustNo: TFloatField;
    CustomerCompany: TStringField;
    CustomerAddr1: TStringField;
    CustomerAddr2: TStringField;
    CustomerCity: TStringField;
    CustomerState: TStringField;
    CustomerZip: TStringField;
    CustomerCountry: TStringField;
    CustomerPhone: TStringField;
    CustomerFAX: TStringField;
    CustomerTaxRate: TFloatField;
    CustomerContact: TStringField;
    CustomerLastInvoiceDate: TDateTimeField;
    LineItemsOrderNo: TFloatField;
    LineItemsItemNo: TFloatField;
    LineItemsPartNo: TFloatField;
    LineItemsQty: TIntegerField;
    LineItemsDescription: TStringField;
    LineItemsListPrice: TCurrencyField;
    LineItemsAmt: TCurrencyField;
    sOrderByCustomer: TDataSource;
    OrderByCustomer: TQuery;
    FloatField1: TFloatField;
    FloatField2: TFloatField;
    DateTimeField1: TDateTimeField;
    DateTimeField2: TDateTimeField;
    IntegerField1: TIntegerField;
    StringField1: TStringField;
    StringField2: TStringField;
    StringField3: TStringField;
    StringField4: TStringField;
    StringField5: TStringField;
    StringField6: TStringField;
    StringField7: TStringField;
    StringField8: TStringField;
    StringField9: TStringField;
    StringField10: TStringField;
    StringField11: TStringField;
    StringField12: TStringField;
    CurrencyField1: TCurrencyField;
    FloatField3: TFloatField;
    CurrencyField2: TCurrencyField;
    CurrencyField3: TCurrencyField;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  SampleDf: TSampleDf;

implementation

{$R *.DFM}

end.
